config/routes.rb
Depot::Application.routes.draw do
  get "admin" => "admin#index"
  controller :sessions do
    get 'login' => :new
    post 'login' => :create
    get 'logout' => :destroy
  end
  resources :users

  resources :products do
    get :who_bought, on: :member
  end

  scope '(:locale)' do
  	resources :line_items
  	get "line_items/decrease/:id" => "line_items#decrease", as: :line_items_decrease
  	resources :carts
  	resources :orders
  	get "orders/ship/:id" => "orders#ship", as: :ship_order
  	root 'store#index', as: 'store', via: :all
  end

  

end

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
<head>
  <title>Depot</title>
  <%= stylesheet_link_tag    "application", media: "all", "data-turbolinks-track" => true %>
  <%= javascript_include_tag "application", "data-turbolinks-track" => true %>
  <%= csrf_meta_tags %>
</head>
<body class='<%= controller.controller_name%>'>
<div id="banner">
    <%= form_tag store_path, class: 'locale' do %>
      <%= select_tag 'set_locale', 
        options_for_select(LANGUAGES, I18n.locale.to_s),
        onchange: 'this.form.submit()'%>
      <%= submit_tag 'submit' %>
      <%= javascript_tag "$('.locale input').hide()" %>
    <% end %>
    <%= image_tag("logo.png")%>
    <%= @page_title || t('.title') %>
</div>
<div id="columns">
    <div id="side">
      <% if @cart %>
          <%= hide_div_if(@cart.line_items.empty?, id: 'cart') do%>
            <%= render @cart %>        
          <% end %>
      <% end %>
      <ul>
          <li><a href="/"><%= t('.home') %></a></li>
          <li><a href="http://www..../faq"><%= t('.faq') %></a></li>
          <li><a href="http://www..../news"><%= t('.news') %></a></li>
          <li><a href="http://www..../contact"><%= t('.contact') %></a></li>
          <li class="text"><%= Time.now.strftime("%F %T")%></li>
      </ul>

      <% if session[:user_id] %>
          <ul>
              <li><%= link_to 'Orders', orders_path %></li>
              <li><%= link_to 'Products', products_path %></li>
              <li><%= link_to 'Users', users_path %></li>
          </ul>
          <%= button_to 'Logout', logout_path, method: :get%>
      <% else %>
          <%= button_to 'Login', login_path, method: :get%>
      <% end %>
    </div>
    <div id="main">
        <%= yield %>
    </div>
</div>
</body>
</html>